{
    dpkg,
    fetchzip,
    tetrio-desktop,
    withTetrioPlus ? false,
    tetrio-plus,
    ...
}:

let
    version = "10";
    src = fetchzip {
        url = "https://tetr.io/about/desktop/builds/${version}/TETR.IO%20Setup.deb";
        hash = "sha256-2FtFCajNEj7O8DGangDecs2yeKbufYLx1aZb3ShnYvw=";
        nativeBuildInputs = [ dpkg ];
    };

in

(tetrio-desktop.overrideAttrs { inherit src version; }).override {
    inherit withTetrioPlus tetrio-plus;
}
